Bug 550594 - Review request: themonospot-base - core component of Themonospot suite
Summary: Review request: themonospot-base - core component of Themonospot suite
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL: http://www.integrazioneweb.com/themon...
Whiteboard:
Depends On:
Blocks: 550519 550597 550598 550599 550600 550601
TreeView+ depends on / blocked
 
Reported: 2009-12-26 08:56 UTC by Armando Basile
Modified: 2010-01-08 17:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-08 17:37:44 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Armando Basile 2009-12-26 08:56:53 UTC
SPEC URL: http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-base.spec
SRPM URL: http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-base-0.8.1-1.fc12.src.rpm

Description: It install:
    - themonospot-base mono assembly in GAC (use from other gui applications)
    - themonospot-plugin-interface in GAC (use to write plugins)
    - themonospot-plugin-manager (use to load plugins at runtime)
    - xml language files

Comment 1 Mamoru TASAKA 2009-12-26 14:48:35 UTC
First of all, please upload the correct spec files for Fedora
(not for Mandriva) which correspond to the srpms you uploaded.

Comment 2 Armando Basile 2009-12-26 15:15:35 UTC
i'm sorry, i uploaded correct spec files

Comment 3 Mamoru TASAKA 2009-12-28 17:49:43 UTC
Well, I am not familiar with mono, but anyway:

* BuildRequires / Requires
  - ">= 1.2.3" part of (Build)Requires: mono-core is not needed.
    Fedora 11 already has version 2.4.

* pkgconfig .pc file
  - should be moved to -devel subpackage:
    https://fedoraproject.org/wiki/Packaging/Mono#-devel_packages

Comment 4 Armando Basile 2009-12-29 08:06:29 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-base.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-base-0.8.1-2.fc12.src.rpm

changes:
- removed ">= 1.2.3" in spec file
- added package devel creation in spec file

Comment 5 Armando Basile 2009-12-29 10:22:38 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-base.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-base-0.8.1-3.fc12.src.rpm

changes:
- moved "BuildRequires: pkgconfig" from -devel to main package

Comment 6 Mamoru TASAKA 2009-12-29 15:31:40 UTC
For -3:

* Directory ownership issue
  - Forgot to notice this, however
-------------------------------------------------------------
    53  %files
    57  %{_libdir}/mono/
-------------------------------------------------------------
    This package should now own the directories /usr/lib/mono,
    /usr/lib/mono/gac (on i686) themselves because these directories
    themselves are already owned by mono-core.

! %changelog
  - Please actually add new %changelog even during review process

Comment 7 Mamoru TASAKA 2009-12-29 15:58:15 UTC
By the way what component should have "Obsoletes: themonospot" (i.e
remove old themonospot) ?

Comment 8 Armando Basile 2009-12-30 15:25:57 UTC
SPEC URL: http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-base.spec
SRPM URL: http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-base-0.8.2-1.fc12.src.rpm

changes:
- no more GAC use
- set plugins location %{_libdir}/themonospot/plugins
- datadir used only for language files
- added copying.gpl to all suite projects


> By the way what component should 
> have "Obsoletes: themonospot" (i.e
> remove old themonospot) ?
yes, themonospot-base should have 
"Obsoletes: themonospot"

Comment 9 Mamoru TASAKA 2009-12-31 07:04:54 UTC
For 0.8.2-1:

* BuildRequires/Requires
  - Well, I did not notice before, however:
    current rpm-build (F-11/12/13) has /usr/lib/rpm/mono-find-{provides,requires},
    so dependency on mono .dll files should be automatically detected.
    However, for example rawhide rpmbuild-4.8.0-0.beta1.4 mono-find-requires
    reads:
-----------------------------------------------------------
    21  if [ -x $build_bindir/monodis ]; then
    22      monodis="$build_bindir/monodis"
    23      export LD_LIBRARY_PATH=$build_libdir${LD_LIBRARY_PATH:+:$LD_LIBRARY_PATH}
    24  elif [ -x /usr/bin/monodis ]; then
    25      monodis="/usr/bin/monodis"
    26  else
    27      exit 0;
    28  fi
-----------------------------------------------------------
    So to detect .dll based depedency automatically, /usr/bin/monodis is
    needed, which is in mono-devel. So:

    * Change "BR: mono-core" to "BR: mono-devel"
    * "BR: pkgconfig" is not needed because mono-devel always requires pkgconfig
    * "Requires: mono-core" is not needed because dependency on .dll
      files will automatically be detected after using "BR: mono-devel"
      ! Note:
        For other themonospot-foo packages, writing "Requires: themonospot-base"
        or other dll based dependencies explicitly is also no longer needed with
        using "BR: mono-devel" (still "BR: themonospot-devel" or so is needed 
        for other themonospot-foo srpm)


* Obsoletes
(In reply to comment #8)
> > By the way what component should 
> > have "Obsoletes: themonospot" (i.e
> > remove old themonospot) ?
> yes, themonospot-base should have 
> "Obsoletes: themonospot"  
  - Then please add this.

Comment 10 Armando Basile 2009-12-31 17:30:24 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-base.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-base-0.8.2-2.fc12.src.rpm

changes:
- added mono-devel as BuildRequires (to detect mono dependency automatically)
- removed mono-core from BuildRequires and Requires
- removed pkgconfig from BuildRequires
- added themonospot to Obsoletes

Comment 11 Mamoru TASAKA 2010-01-01 16:10:04 UTC
For 0.8.2-2

* Unversioned Obsoletes
-------------------------------------------------------------
Obsoletes: themonospot
-------------------------------------------------------------
  - This unversioned Obsoletes statement may cause problem
    in the future (for example when "themonospot" comes back).
    It is highly recommended to specify the version for
    Obsoletes.
    On Fedora the following is sufficient (so change to below)
-------------------------------------------------------------
Obsoletes: themonospot < 0.8.0
-------------------------------------------------------------

    For this package I don't think adding virtual Provides
    for themonosport is strictly needed, however you may want
    to add the following:
-------------------------------------------------------------
Provides: themonospot = %{version}
-------------------------------------------------------------

* %description
-------------------------------------------------------------
themonospot-base is core package for themonospot system. It install:
    - themonospot-base mono assembly in GAC (use from other gui applications)
-------------------------------------------------------------
  - Again I am not familiar with mono, however your %changelog says:
-------------------------------------------------------------
* Wed Dec 30 2009 Armando Basile <hmandevteam@gmail.com> 0.8.2-1
- removed GAC use
-------------------------------------------------------------
    So this description may be outdated. Please fix this if necessary.

Other things are okay. Please fix above when importing into
Fedora CVS.

-------------------------------------------------------------
    This package (themonospot-base) is APPROVED by mtasaka
-------------------------------------------------------------

Comment 12 Mamoru TASAKA 2010-01-01 16:44:57 UTC
One more thing:

* Detecting dependency
  - To make it sure that all dependencies are correctly detected,
    change the permission of .dll files to 0755 explicitly as
-------------------------------------------------------------
chmod 0755 %{buildroot}%{_libdir}/themonospot/*.dll
-------------------------------------------------------------
   at the end of %install section
   ( currently 2 dll files has 0644 permission and unfortunately
     rpmbuild does not check dependency for .dll files if
     they don't have executable permission )

Comment 13 Armando Basile 2010-01-01 17:13:44 UTC
SPEC URL:
http://www.integrazioneweb.com/repository/SPECS/fedora/themonospot-base.spec
SRPM URL:
http://www.integrazioneweb.com/repository/SRPMS/fedora/themonospot-base-0.8.2-4.fc12.src.rpm

changes:
- changed file permissions for dll assembly after buildroot install
- added versioning to Obsoletes
- fixed description

Comment 14 Mamoru TASAKA 2010-01-01 17:29:50 UTC
Okay, please write CVS request.

Comment 15 Armando Basile 2010-01-01 17:53:07 UTC
New Package CVS Request
=======================
Package Name: themonospot-base
Short Description: Core component of Themonospot suite
Owners: hman
Branches: F-11 F-12
InitialCC: mtasaka@ioa.s.u-tokyo.ac.jp
Cvsextras Commits: yes

Comment 16 Mamoru TASAKA 2010-01-01 17:59:21 UTC
If you want to add me in CC list, please use my FAS name
(mtasaka). By the way adding me in CC list is not strictly
needed (but feel free to do so if you want).

Also set fedora-cvs flag to ?.

Comment 17 Armando Basile 2010-01-02 20:59:10 UTC
New Package CVS Request
=======================
Package Name: themonospot-base
Short Description: Core component of Themonospot suite
Owners: hman-it
Branches: F-11 F-12
InitialCC: mtasaka
Cvsextras Commits: yes

Comment 18 Kevin Fenzi 2010-01-04 20:18:47 UTC
cvs done.

Comment 19 Fedora Update System 2010-01-06 21:25:48 UTC
themonospot-base-0.8.2-4.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/themonospot-base-0.8.2-4.fc12

Comment 20 Fedora Update System 2010-01-06 21:25:53 UTC
themonospot-base-0.8.2-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/themonospot-base-0.8.2-4.fc11

Comment 21 Fedora Update System 2010-01-07 21:51:28 UTC
themonospot-base-0.8.2-4.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2010-01-07 21:56:51 UTC
themonospot-base-0.8.2-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Mamoru TASAKA 2010-01-08 17:37:44 UTC
Closing this one.
Now you should be able to rebuild other themonospot-foo packges
on F-11/12 (except for -gui-qt package)


Note You need to log in before you can comment on or make changes to this bug.